package com.qmth.exam.reserve.bean.timeperiod;

import com.qmth.exam.reserve.bean.IModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Getter;
import lombok.Setter;

import java.util.Objects;

@Getter
@Setter
public class TimePeriodExamSiteBean implements IModel {

    private static final long serialVersionUID = 7144061629980131259L;

    @ApiModelProperty("主键ID")
    private Long id;

    @ApiModelProperty("预约时段ID")
    private Long timePeriodId;

    @ApiModelProperty("预约时段字符串")
    private Long startTime;

    @ApiModelProperty("预约时段字符串")
    private Long endTime;

    @ApiModelProperty("是否开启")
    private Boolean enable;

    @ApiModelProperty("考点ID")
    private Long examSiteId;

    @Override
    public boolean equals(Object o) {
        if (this == o)
            return true;
        if (o == null || getClass() != o.getClass())
            return false;
        TimePeriodExamSiteBean that = (TimePeriodExamSiteBean) o;
        return Objects.equals(timePeriodId, that.timePeriodId);
    }

    @Override
    public int hashCode() {
        return Objects.hashCode(timePeriodId);
    }



}
